Index: /trunk/SRC/Interpolation/angle.pro
===================================================================
--- /trunk/SRC/Interpolation/angle.pro	(revision 100)
+++ /trunk/SRC/Interpolation/angle.pro	(revision 101)
@@ -1,30 +1,14 @@
 ;---------
 ;+
-; NAME:angle.pro (fom angle.F,v 2.2 in OPA8.2)
+; @file_comments north stereographic polar projection
 ;
-; PURPOSE:Compute angles between grid lines and direction of the North
+; @keyword    /DOUBLE use double precision (default is float)
 ;
-; CALLING SEQUENCE: 
-;     angle, fileocemesh, gcosu, gsinu, gcosv, gsinv, gcost, gsint
-;
-; INPUTS:
-;     fileocemesh a netcdf file that contains (at least):
-;        glamu, gphiu: longitudes and latitudes at U-points
-;        glamv, gphiv: longitudes and latitudes at V-points
-;        glamf, gphif: longitudes and latitudes at F-points
-;
-; KEYWORD PARAMETERS:
-;
-;    IODIRECTORY: the directory path where is located fileocemesh
-;
-;    /DOUBLE: use double precision (default is float)
-;
-; OUTPUTS:
+; @returns
 ;       gsinu,gcosu : sinus and cosinus of the angle 
 ;       gsinv,gcosv   between north-south direction 
 ;       gsint,gcost   and the j-direction of the mesh
-;  	              
 ;
-; RESTRICTIONS: to compute the lateral boundary conditions, we assume
+; @restrictions to compute the lateral boundary conditions, we assume
 ; that: 
 ;     (1) the first line is similar to the second line
@@ -37,5 +21,5 @@
 ;
 ;
-; MODIFICATION HISTORY:
+; @history
 ;   --------------
 ;       Original :  96-07 (O. Marti)
@@ -45,5 +29,4 @@
 ;---------
 ;
-;  fsnspp: north stereographic polar projection
 FUNCTION fsnspp, plam, pphi, DOUBLE = double
   IF keyword_set(double) THEN BEGIN
@@ -59,4 +42,16 @@
 END
 ;---------
+;+
+; @file_comments Compute angles between grid lines and direction of the North
+;(fom angle.F,v 2.2 in OPA8.2)
+;
+; @param fileocemesh {in}{required} a netcdf file that contains (at least):
+;        glamu, gphiu: longitudes and latitudes at U-points
+;        glamv, gphiv: longitudes and latitudes at V-points
+;        glamf, gphif: longitudes and latitudes at F-points
+;
+; @keyword IODIRECTORY the directory path where is located fileocemesh
+; @keyword    /DOUBLE use double precision (default is float)
+;-
 ;---------
 ;
Index: /trunk/SRC/Interpolation/clickincell.pro
===================================================================
--- /trunk/SRC/Interpolation/clickincell.pro	(revision 100)
+++ /trunk/SRC/Interpolation/clickincell.pro	(revision 101)
@@ -1,10 +1,8 @@
 ;+
-; NAME:clickincell
+; @file_comments click on a map and find in which cell the click was
 ;
-; PURPOSE: click on a map and find in which cell the click was
+; @categories finding where is a point on a grid
 ;
-; CATEGORY:finding where is a point on a grid
-;
-; CALLING SEQUENCE:
+; @examples 
 ;
 ;     res = clickincell()
@@ -13,44 +11,36 @@
 ;     Click on the right button to quit.  
 ;
-; INPUTS:None
-;
-; KEYWORD PARAMETERS:
-;
-;     CELLTYPE = 'T', 'W', 'U', 'V' or 'F': This this the type of point
+; @keyword     CELLTYPE = 'T', 'W', 'U', 'V' or 'F' This this the type of point
 ;     that is located in the center of the cell which the click is
 ;     located. default is T type of cell (with corner defined by F
 ;     points).
 ;
-;     /DRAWCELL: to draw the cell in which we clicked
+; @keyword     /DRAWCELL to draw the cell in which we clicked
 ;
-;     COLOR = the color used to draw the cells (Clicking one more
+; @keyword     COLOR  the color used to draw the cells (Clicking one more
 ;     time in the same cell will draw the cell with the white color)
 ;
-;     /ORIGINAL: to get the position of the cell regarding the original
+; @keyword     /ORIGINAL to get the position of the cell regarding the original
 ;     grid (with no key_shift, ixminmesh, iyminmesh...)
 ;
-;     /IJ: see outpus
+; @keyword     /IJ see outpus
 ;
-;     _EXTRA: to pass extra keywords to inquad and plot (when /drawcell)
+; @keyword     _EXTRA to pass extra keywords to inquad and plot (when /drawcell)
 ;
-; OUTPUTS:
-;     the the index of the selected cells regarding to the grid which
+; @returns
+;     the index of the selected cells regarding to the grid which
 ;     is in memory in the variable of the common. If /ij keyword is
 ;     activated give 2D array (2, n) which are the i,j position of the
 ;     n selected cells. 
 ;
-; COMMON BLOCKS:common.pro
+; @uses common.pro
 ;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
+; @examples 
 ;
 ;   IDL> plt, findgen(jpi,jpj),/nodata,map=[90,0,0],/ortho
 ;   IDL> print, clickincell(/draw,color=150,/xy)
 ;
-; MODIFICATION HISTORY:
-;      Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+;      Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;      August 2003
 ;
Index: /trunk/SRC/Interpolation/compute_fromreg_bilinear_weigaddr.pro
===================================================================
--- /trunk/SRC/Interpolation/compute_fromreg_bilinear_weigaddr.pro	(revision 100)
+++ /trunk/SRC/Interpolation/compute_fromreg_bilinear_weigaddr.pro	(revision 101)
@@ -1,24 +1,20 @@
 ;+
-; NAME: compute_fromreg_bilinear_weigaddr
-;
-; PURPOSE: compute the weight and address neede to interpolate data from a
+; @file_comments compute the weight and address neede to interpolate data from a
 ;          "regular grid" to any grid using the bilinear method
 ;   
-; CATEGORY:interpolation
-;
-; CALLING SEQUENCE: 
-;     compute_fromreg_bilinear_weigaddr, alon, alat, olon, olat, weig, addr
-;
-; INPUTS:
-;     lonin and latin: longitude/latitude of the input data. Must be 1D arrays
-;     lonout and latout: longitude/latitude of the output data. Must be 2D arrays
-;
-; KEYWORD PARAMETERS: 
-;
-;     /NONORTHERNLINE and /NOSOUTHERNLINE: activate if you don't whant to take into
-;          account the northen/southern line of the input data when perfoming the
+; @categories interpolation
+;
+;     @param alonin {in}{required} longitudeof the input data 
+;     @param alatin  {in}{required} latitude of the input data 
+;     @param olonin {in}{required} longitude of the output data 
+;     @param olat  {in}{required} latitude of the output data 
+;
+; @keyword     /NONORTHERNLINE activate if you don't whant to take into
+;          account the northen line of the input data when perfoming the
+; @keyword     /NOSOUTHERNLINE activate if you don't whant to take into
+;          account the southern line of the input data when perfoming the
 ;          interpolation.
 ;
-; OUTPUTS: 
+; @returns 
 ;     weig, addr: 2D arrays, weig and addr are the weight and addresses used to
 ;     perform the interpolation:
@@ -26,9 +22,5 @@
 ;          dataout = reform(dataout, jpio, jpjo, /over)
 ;
-; COMMON BLOCKS: none
-;
-; SIDE EFFECTS: ?
-;
-; RESTRICTIONS:
+; @restrictions
 ;  -  the input grid must be a "regular grid", defined as a grid for which each
 ;     lontitudes lines have the same latitude and each latitudes columns have the
@@ -39,7 +31,5 @@
 ;     using a linear interpolation only along the longitudinal direction.
 ; 
-; EXAMPLE: 
-;
-; MODIFICATION HISTORY:
+; @history
 ;  November 2005: Sebastien Masson (smasson@lodyc.jussieu.fr) 
 ; 
Index: /trunk/SRC/Interpolation/compute_fromreg_imoms3_weigaddr.pro
===================================================================
--- /trunk/SRC/Interpolation/compute_fromreg_imoms3_weigaddr.pro	(revision 100)
+++ /trunk/SRC/Interpolation/compute_fromreg_imoms3_weigaddr.pro	(revision 101)
@@ -1,24 +1,20 @@
 ;+
-; NAME: compute_fromreg_imoms3_weigaddr
-;
-; PURPOSE: compute the weight and address neede to interpolate data from a
+;
+; @file_comments compute the weight and address neede to interpolate data from a
 ;          "regular grid" to any grid using the imoms3 method
 ;   
-; CATEGORY:interpolation
-;
-; CALLING SEQUENCE: 
-;     compute_fromreg_imoms3_weigaddr, alon, alat, olon, olat, weig, addr
-;
-; INPUTS:
-;     lonin and latin: longitude/latitude of the input data 
-;     lonout and latout: longitude/latitude of the output data 
-;
-; KEYWORD PARAMETERS: 
-;
-;     /NONORTHERNLINE and /NOSOUTHERNLINE: activate if you don't whant to take into
+; @categories interpolation
+PRO compute_fromreg_imoms3_weigaddr, alonin, alatin, olonin, olat, weig, addr $
+;
+;     @param alonin {in}{required} longitude of the input data 
+;     @param alatin  {in}{required} latitude of the input data 
+;     @param olonin {in}{required} longitude of the output data 
+;     @param olat {in}{required} latitude of the output data 
+;
+; @keyword /NONORTHERNLINE and /NOSOUTHERNLINE activate if you don't whant to take into
 ;          account the northen/southern line of the input data when perfoming the
 ;          interpolation.
 ;
-; OUTPUTS: 
+; @returns 
 ;     weig, addr: 2D arrays, weig and addr are the weight and addresses used to
 ;     perform the interpolation:
@@ -26,9 +22,5 @@
 ;          dataout = reform(dataout, jpio, jpjo, /over)
 ;
-; COMMON BLOCKS: none
-;
-; SIDE EFFECTS: ?
-;
-; RESTRICTIONS:
+; @restrictions
 ;  -  the input grid must be a "regular/rectangular grid", defined as a grid for
 ;     which each lontitudes lines have the same latitude and each latitudes columns
@@ -42,8 +34,6 @@
 ;     using a imoms3 interpolation only along the longitudinal direction.
 ; 
-; EXAMPLE: 
-;
-; MODIFICATION HISTORY:
-;  November 2005: Sebastien Masson (smasson@lodyc.jussieu.fr) 
+; @history
+;  November 2005: Sebastien Masson (smasson\@lodyc.jussieu.fr) 
 ;  March 2006: works for rectangular grids
 ;-
Index: /trunk/SRC/Interpolation/cutpar.pro
===================================================================
--- /trunk/SRC/Interpolation/cutpar.pro	(revision 100)
+++ /trunk/SRC/Interpolation/cutpar.pro	(revision 101)
@@ -1,26 +1,23 @@
 ;+
-; NAME: cutpar
 ;
-; PURPOSE: cut p parallelogram(s) into p*n^2 parallelograms
+; @file_comments cut p parallelogram(s) into p*n^2 parallelograms
 ;
-; CATEGORY: basic work
+; @categories basic work
 ;
-; CALLING SEQUENCE:res = cutpar(x0, y0, x1, y1, x2, y2, x3, y3, n)
+; @examples 
+; res = cutpar(x0, y0, x1, y1, x2, y2, x3, y3, n)
 ;
-; INPUTS:
-;       x0,y0 1d arrays of p elements, giving the edge positions. The
+;       @param x0,y0  {in}{required} 1d arrays of p elements, giving the edge positions. The
 ;       edges must be given as in plot to traw the parallelogram. (see
 ;       example).
-;       n: each parallelogram will be cutted in n^2 pieces
+;       @param n {in}{required} each parallelogram will be cutted in n^2 pieces
 ;
-; KEYWORD PARAMETERS: 
+; @keyword         /endpoints see outputs
 ;
-;         /endpoints: see outputs
-;
-;         /onsphere: to specify that the points are located on a
+; @keyword         /onsphere to specify that the points are located on a
 ;         sphere. In this case, x and y corresponds to longitude and
 ;         latitude in degrees.
 ;
-; OUTPUTS:
+; @returns
 ;        -defaut: 3d array(2,n^2,p) giving the center position of each
 ;        piece of the parallelograms
@@ -28,11 +25,7 @@
 ;        of each piece of the parallelograms
 ;
-; COMMON BLOCKS: no
+; @uses cutsegment.pro
 ;
-; SIDE EFFECTS: need cutsegment.pro
-;
-; RESTRICTIONS: ?
-;
-; EXAMPLE:
+; @examples 
 ;
 ; x0 = [2,6,2]
@@ -50,6 +43,6 @@
 ; for i=0,2 do oplot, [res[0,*,i]], [res[1,*,i]], color = 20+10*i, psym = 1, thick = 3
 ;
-; MODIFICATION HISTORY:
-;           S. Masson (smasson@lodyc.jussieu.fr)
+; @history
+;           S. Masson (smasson\@lodyc.jussieu.fr)
 ;           July 5th, 2002
 ;-
Index: /trunk/SRC/Interpolation/cutsegment.pro
===================================================================
--- /trunk/SRC/Interpolation/cutsegment.pro	(revision 100)
+++ /trunk/SRC/Interpolation/cutsegment.pro	(revision 101)
@@ -1,25 +1,23 @@
 ;+
-; NAME: cutsegment
 ;
-; PURPOSE: cut p segments into p*n equal parts
+; @file_comments cut p segments into p*n equal parts
 ;
-; CATEGORY: basic work
+; @categories basic work
 ;
-; CALLING SEQUENCE: res = cutsegment(x0, y0, x1, y1, n)
+; @examples  
+; res = cutsegment(x0, y0, x1, y1, n)
 ;
-; INPUTS: 
-;         x0,y0 and x1,y1, 1d arrays of p elements, the coordinates of
+;         @param x0,y0 and x1,y1  {in}{required}  1d arrays of p elements, the coordinates of
 ;         the endpoints of the p segmements
-;         n: the number of pieces we want to cut each segment
+;         @param  n {in}{required}  the number of pieces we want to cut each segment
 ;
-; KEYWORD PARAMETERS:
 ;
-;         /endpoints: see ouputs
+; @keyword         /endpoints see ouputs
 ;
-;         /onsphere: to specify that the points are located on a
+; @keyword         /onsphere to specify that the points are located on a
 ;         sphere. In this case, x and y corresponds to longitude and
 ;         latitude in degrees.
 ;
-; OUTPUTS:
+; @returns
 ;        defaut: a 3d array (2,n,p) that gives the coordinates of the
 ;        middle of the cutted segments.
@@ -27,11 +25,5 @@
 ;        coordinates of the endpoints of the cutted segments.
 ;
-; COMMON BLOCKS: no
-;
-; SIDE EFFECTS: no
-;
-; RESTRICTIONS: ?
-;
-; EXAMPLE:
+; @examples 
 ;
 ;  IDL> x0=[2,5]
@@ -46,6 +38,6 @@
 ;  IDL> oplot, [res[0,*,1]], [res[1,*,1]], color = 40, psym = 1, thick = 3
 ;
-; MODIFICATION HISTORY:
-;           S. Masson (smasson@lodyc.jussieu.fr)
+; @history
+;           S. Masson (smasson\@lodyc.jussieu.fr)
 ;           July 5th, 2002
 ;-
Index: /trunk/SRC/Interpolation/extrapolate.pro
===================================================================
--- /trunk/SRC/Interpolation/extrapolate.pro	(revision 100)
+++ /trunk/SRC/Interpolation/extrapolate.pro	(revision 101)
@@ -1,8 +1,10 @@
+;+
+; @file_comments extrapolate data (zinput) where maskinput eq 0 by filling step by
+; step the coastline points with the mean value of the 8 neighbourgs.
+;
+;-
 FUNCTION extrapolate, zinput, maskinput, nb_iteration, x_periodic = x_periodic, MINVAL = minval, MAXVAL = maxval
 ;
   compile_opt strictarr, strictarrsubs 
-;
-; extrapolate data (zinput) where maskinput eq 0 by filling step by
-; step the coastline points with the mean value of the 8 neighbourgs.
 ;
 ; check the number of iteration used in the extrapolation.
Index: /trunk/SRC/Interpolation/fromreg.pro
===================================================================
--- /trunk/SRC/Interpolation/fromreg.pro	(revision 100)
+++ /trunk/SRC/Interpolation/fromreg.pro	(revision 101)
@@ -1,26 +1,23 @@
 ;+
-; NAME: fromreg
 ;
-; PURPOSE: interpolate data from a "regular/rectangular grid" to any grid.
+; @file_comments interpolate data from a "regular/rectangular grid" to any grid.
 ;   2 metods availables: bilinear and imoms3 
 ;   A "regular/rectangular grid" is defined as a grid for which each lontitudes lines have 
 ;   the same latitude and each latitudes columns have the same longitude.
 ;   
-; CATEGORY:interpolation
+; @categories interpolation
 ;
-; CALLING SEQUENCE: dataout = fromreg(method, datain [, lonin, latin, lonout, latout])
+; @examples  
+; dataout = fromreg(method, datain [, lonin, latin, lonout, latout])
 ;
-; INPUTS:
-;    method: a string defining the interpolation method. 
+;    @param method {in}{required}  a string defining the interpolation method. 
 ;            must be 'bilinear' or 'imoms3'
-;    datain: a 2D array the input data to interpolate
-;    lonin and latin: longitude/latitude of the input data. optionals if
+;    @param datain {in}{required}  a 2D array the input data to interpolate
+;    @param lonin latin {in}{required}  longitude/latitude of the input data. optionals if
 ;            WEIG and ADDR keywords used.
-;    lonout and latout: longitude/latitude of the output data. optionals if
+;    @param lonout latout {in}{required}  longitude/latitude of the output data. optionals if
 ;            WEIG and ADDR keywords used.
 ;
-; KEYWORD PARAMETERS: 
-;
-;     WEIG, ADDR: 2D arrays, weig and addr are the weight and addresses used to
+; @keyword     WEIG, ADDR 2D arrays, weig and addr are the weight and addresses used to
 ;     perform the interpolation:
 ;          dataout = total(weig*datain[addr], 1)
@@ -31,18 +28,14 @@
 ;     case, lonin, latin, lonout and latout are not necessary.
 ;
-;     /NONORTHERNLINE and /NOSOUTHERNLINE: activate if you don't whant to take into
+; @keyword     /NONORTHERNLINE and /NOSOUTHERNLINE activate if you don't whant to take into
 ;          account the northen/southern line of the input data when perfoming the
 ;          interpolation.
 ;
-; OUTPUTS: 2D array: the interpolated data
+; @returns 2D array: the interpolated data
 ;
-; COMMON BLOCKS: none
+; @restrictions We supposed the data are located on a sphere, with a 
+; periodicity along the longitude.
 ;
-; SIDE EFFECTS: ?
-;
-; RESTRICTIONS:We supposed the data are located on a sphere, with a periodicity along
-;              the longitude.
-;
-; EXAMPLE: 
+; @examples  
 ;  
 ;  topa = fromreg('bilinear', tncep, xncep, yncep, glamt, gphit)
@@ -54,6 +47,6 @@
 ;  t2opa = fromreg('bilinear', t2ncep, xncep, WEIG = a, ADDR = b)
 ;
-; MODIFICATION HISTORY:
-;  November 2005: Sebastien Masson (smasson@lodyc.jussieu.fr) 
+; @history
+;  November 2005: Sebastien Masson (smasson\@lodyc.jussieu.fr) 
 ; 
 ;-
Index: /trunk/SRC/Interpolation/get_gridparams.pro
===================================================================
--- /trunk/SRC/Interpolation/get_gridparams.pro	(revision 100)
+++ /trunk/SRC/Interpolation/get_gridparams.pro	(revision 101)
@@ -1,6 +1,5 @@
 ;+
-; NAME: get_gridparams
-;
-; PURPOSE: 
+;
+; @file_comments 
 ;   1) extract from a NetCDF file the longitude, latidude, and their dimensions
 ;      and make sure it is 1D or 2D arrays 
@@ -9,7 +8,7 @@
 ;      they are 1D or 2D arrays 
 ;
-; CATEGORY:for interpolations tools
-;
-; CALLING SEQUENCE:
+; @categories interpolation
+;
+; @examples 
 ; 
 ; 1) get_gridparams, file, lonname, latname, lon, lat, jpi, jpj, n_dimensions
@@ -19,35 +18,30 @@
 ; 2) get_gridparams, lon, lat, jpi, jpj, n_dimensions
 ;
-; INPUTS:
-;
 ; 1) 
-;  file: the name of the netcdf file
-;  loname: the name of the variable that contains the longitude in the NetCDF file
-;  latname: the name of the variable that contains the latitude in the NetCDF file
+; @param in1 {in}{required}  the name of the netcdf file
+;  @param in2 {in}{required}  the name of the variable that contains the longitude in the NetCDF file
+;  @param in3 {in}{required}  the name of the variable that contains the latitude in the NetCDF file
+;  @param in4  {out} the number of points in the longitudinal direction
+;  @param in5  {out} the number of points in the latitudinal direction
+; @param in6 {out} the variable that will contain the longitudes
+;  @param in7  {out} the variable that will contain the latitudes
+;  @param in8 {out} 1 or 2 to specify if lon and lat should be 1D (jpi or jpj)
 ;
 ; or 
 ;
-; 2) lon and lat: 1d or 2D arrays defining longitudes and latitudes. 
+; 2) 
+; @param lon lat {in}{required}  1d or 2D arrays defining longitudes and latitudes. 
 ;    Note that these arrays are also outputs and can therefore be modified. 
 
-; KEYWORD PARAMETERS: none
-;
-; OUTPUTS:
-;  lon the variable that will contain the longitudes
-;  lat the variable that will contain the latitudes
-;  jpi the number of points in the longitudinal direction
-;  jpj the number of points in the latitudinal direction
-;  n_dimensions: 1 or 2 to specify if lon and lat should be 1D (jpi or jpj)
+; @param in1 {out} the variable that will contain the longitudes
+;  @param in2  {out} the variable that will contain the latitudes
+;  @param in3  {out} the number of points in the longitudinal direction
+;  @param in4  {out} the number of points in the latitudinal direction
+;  @param in5 {out} 1 or 2 to specify if lon and lat should be 1D (jpi or jpj)
 ;    arrays or 2D arrays (jpi,jpj). Note that of  n_dimensions = 1, then the
 ;    grid must be regular (each longitudes must be the same for all latitudes
 ;    and each latitudes should be the sae for all longitudes). 
 ;
-; COMMON BLOCKS: none
-;
-; SIDE EFFECTS: ?
-;
-; RESTRICTIONS: ?
-;
-; EXAMPLE: 
+; @examples  
 ; 
 ; 1) ncdf_get_gridparams, 'coordinates_ORCA_R05.nc', 'glamt', 'gphit' $
@@ -56,6 +50,6 @@
 ; 2) ncdf_get_gridparams, olon, olat, jpio, jpjo, 2
 ;
-; MODIFICATION HISTORY:
-;  November 2005: Sebastien Masson (smasson@lodyc.jussieu.fr) 
+; @history
+;  November 2005: Sebastien Masson (smasson\@lodyc.jussieu.fr) 
 ; 
 ;-
Index: /trunk/SRC/Interpolation/imoms3.pro
===================================================================
--- /trunk/SRC/Interpolation/imoms3.pro	(revision 100)
+++ /trunk/SRC/Interpolation/imoms3.pro	(revision 101)
@@ -1,2 +1,5 @@
+;+
+; 
+;-
 FUNCTION imoms3, xin
 
Index: /trunk/SRC/Interpolation/inquad.pro
===================================================================
--- /trunk/SRC/Interpolation/inquad.pro	(revision 100)
+++ /trunk/SRC/Interpolation/inquad.pro	(revision 101)
@@ -1,27 +1,22 @@
 ;+
-; NAME:inquad
-;
-; PURPOSE: to find if an (x,y) point is in a quadrilateral (x1,x2,x3,x4)
-;
-; CATEGORY:grid manipulation
-;
-; CALLING SEQUENCE:
+; @file_comments to find if an (x,y) point is in a quadrilateral (x1,x2,x3,x4)
+;
+; @categories grid manipulation
+;
+; @examples 
 ;
 ;     res = inquad(x, y, x1, y1, x2, y2, x3, y3, x4, y4)
 ;
-; INPUTS:
-;
-;     x,y: the coordinates of the point we want to know where it
+;     @param x y {in}{required}  the coordinates of the point we want to know where it
 ;     is. Must be a scalar if /onsphere activated else can be scalar
 ;     or array. 
 ;
-;     x1, y1, x2, y2, x3, y3, x4, y4: the coordinates of the
+;     @param x1 y1 x2 y2 x3 y3 x4 y4 {in}{required}  the coordinates of the
 ;     quadrilateral given in the CLOCKWISE order. Scalar or array.
 ;
-; KEYWORD PARAMETERS:
-;
-;    /DOUBLE: use double precision to perform the computation 
-;
-;    /ONSPHERE: to specify that the quadilateral are on a sphere and
+;
+; @keyword    /DOUBLE use double precision to perform the computation 
+;
+; @keyword    /ONSPHERE to specify that the quadilateral are on a sphere and
 ;    that teir coordinates are longitude-latitude coordinates. In this
 ;    case, est-west periodicity, poles singularity and other pbs
@@ -29,5 +24,5 @@
 ;    automatically. 
 ;
-;    ZOOMRADIUS:the zoom (circle centred on the (x,y) with a radius of
+; @keyword    ZOOMRADIUS :the zoom (circle centred on the (x,y) with a radius of
 ;    zoomradius degree where we look for the the quadrilateral which;    contains the (x,y) point) used for the satellite projection
 ;    when /onsphere is activated. Default is 4 and seems to be the
@@ -35,20 +30,15 @@
 ;    larger than 5 degrees.
 ;   
-;    /NOPRINT: to suppress the print messages.
-;
-; OUTPUTS:
-;
-;    res, a n element vector. Where n is the number of elements of
+; @keyword    /NOPRINT to suppress the print messages.
+;
+; @returns
+;    a n element vector. Where n is the number of elements of
 ;    x. res[i]=j means that the point number i is located in the
 ;    quadrilateral number j with (0 <= j <= n_elements(x0)-1)
 ;
-; COMMON BLOCKS:none
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS: I think degenerated quadrilateral (e.g. flat of
+; @restrictions I think degenerated quadrilateral (e.g. flat of
 ; twisted) is not work. This has to be tested.
 ;
-; EXAMPLE:
+; @examples 
 ;
 ;       x = 1.*[1, 2, 6, 7, 3]
@@ -69,6 +59,6 @@
 ;      On a sphere see clickincell.pro...
 ;
-; MODIFICATION HISTORY:
-;      Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+;      Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;      August 2003
 ;      Based on Convert_clic_ij.pro written by Gurvan Madec 
@@ -192,5 +182,5 @@
 ; the point is inside the quadilateral if test eq 1
 ; with test equal to:
-;     test = ((x-x1)*(y2-y1) GE (x2-x1)*(y-y1)) $	
+;     test = ((x-x1)*(y2-y1) GE (x2-x1)*(y-y1)) $
 ;       *((x-x2)*(y3-y2) GT (x3-x2)*(y-y2)) $
 ;       *((x-x3)*(y4-y3) GT (x4-x3)*(y-y3)) $
Index: /trunk/SRC/Interpolation/inrecgrid.pro
===================================================================
--- /trunk/SRC/Interpolation/inrecgrid.pro	(revision 100)
+++ /trunk/SRC/Interpolation/inrecgrid.pro	(revision 101)
@@ -1,48 +1,33 @@
 ;+
-; NAME: inrecgrid
 ;
-; PURPOSE: given - a list of points, (x,y) position  
+; @file_comments given - a list of points, (x,y) position  
 ;                - the x and y limits of a rectangular grid
 ;          find in which cell is located each given point.
 ;
-; CATEGORY: no DO loop, use the wonderfull value_locate function!
+; @categories no DO loop, use the wonderfull value_locate function!
 ;
-; CALLING SEQUENCE:res = inrecgrid(xin, yin, left, bottom)
+; @examples 
+; res = inrecgrid(xin, yin, left, bottom)
 ;
-; INPUTS: 
-;
-;    x1d: a 1d array, the x position on the points
-;    y1d: a 1d array, the y position on the points
-;    left: a 1d, monotonically increasing array, the position of the
+;    @param x1d {in}{required}  a 1d array, the x position on the points
+;    @param y1d {in}{required}  a 1d array, the y position on the points
+;    left {in}{required}  a 1d, monotonically increasing array, the position of the
 ;    "left" border of each cell.
-;    bottom: a 1d, monotonically increasing array, the position of the
+;    @param bottom {in}{required}  a 1d, monotonically increasing array, the position of the
 ;    "bottom" border of each cell.
 ;
-; OPTIONAL INPUTS:
 ;
-; KEYWORD PARAMETERS:;
-;
-;    /output2d: to get the output as a 2d array (2,n_elements(x1d)),
+; @keyword    /output2d to get the output as a 2d array (2,n_elements(x1d)),
 ;    with res[0,*] the x index accoring to the 1d array defined by
 ;    left and res[1,*] the y index accoring to the 1d array defined by
 ;    bottom.
 ;
-;    checkout=[rbgrid,ubgrid] specify the right and upper bondaries of
+; @keyword    checkout=[rbgrid,ubgrid] specify the right and upper bondaries of
 ;    the grid and check if some points are out.
 ;
-; OUTPUTS:the index on the cell accoring to the 2d array defined by
+; @returns the index on the cell accoring to the 2d array defined by
 ; left and bottom.
 ;
-; OPTIONAL OUTPUTS:
-;
-; COMMON BLOCKS: no
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; PROCEDURE:
-;
-; EXAMPLE:
+; @examples 
 ;
 ;  IDL> a=indgen(5)
@@ -57,6 +42,6 @@
 ;        2.00000      1.00000
 ;  
-; MODIFICATION HISTORY:
-;            S. Masson (smasson@lodyc.jussieu.fr)
+; @history
+;            S. Masson (smasson\@lodyc.jussieu.fr)
 ;                      July 3rd, 2002
 ;                      October 3rd, 2003: use value_locate
Index: /trunk/SRC/Interpolation/ll_narcs_distances.pro
===================================================================
--- /trunk/SRC/Interpolation/ll_narcs_distances.pro	(revision 100)
+++ /trunk/SRC/Interpolation/ll_narcs_distances.pro	(revision 101)
@@ -1,75 +1,72 @@
 ;+
-; NAME:
-;	LL_NARCS_DISTANCES
 ;
-; PURPOSE:
-; 	This function returns the longitude and latitude [lon, lat] of
-;	a point a given arc distance (-pi <= Arc_Dist <= pi), and azimuth (Az),
-;	from a specified location Lon0, lat0.
+; @file_comments
+; This function returns the longitude and latitude [lon, lat] of
+;a point a given arc distance (-pi <= Arc_Dist <= pi), and azimuth (Az),
+;from a specified location Lon0, lat0.
 ;       Same as LL_ARC_DISTANCE but for n points without do loop.
 ;
-; CATEGORY:
-;	Mapping, geography.
+; @categories Mapping, geography
 ;
-; CALLING SEQUENCE:
-;	Result = LL_NARCS_DISTANCES(Lon, lat0, Arc_Dist, Az)
+; @examples 
+;Result = LL_NARCS_DISTANCES(Lon, lat0, Arc_Dist, Az)
 ;
-; INPUTS:
-;    	Lon0: An array containing the longitude of the starting point.
+;    @param Lon0 {in}{required}  An array containing the longitude of the starting point.
 ;             Values are assumed to be in radians unless the keyword
 ;             DEGREES is set.
-;    	Lat0: An array containing the latitude of the starting point.
+;    @param Lat0 {in}{required}  An array containing the latitude of the starting point.
 ;             Values are assumed to be in radians unless the keyword
 ;             DEGREES is set.
-;    	Arc_Dist: The arc distance from Lon_lat0. The value must be between
-;		  -!PI and +!PI. To express distances in arc units, divide
-;		  by the radius of the globe expressed in the original units.
-;		  For example, if the radius of the earth is 6371 km, divide
-;		  the distance in km by 6371 to obtain the arc distance.    
-;    	Az:	  The azimuth from Lon_lat0. The value is assumed to be in
-;		  radians unless the keyword DEGREES is set.
+;    @param Arc_Dist {in}{required}  The arc distance from Lon_lat0. The value must be between
+; -!PI and +!PI. To express distances in arc units, divide
+;  by the radius of the globe expressed in the original units.
+;  For example, if the radius of the earth is 6371 km, divide
+;  the distance in km by 6371 to obtain the arc distance.    
+;    @param Az {in}{required}   The azimuth from Lon_lat0. The value is assumed to be in
+;  radians unless the keyword DEGREES is set.
 ;
-; KEYWORD PARAMETERS:
-;    	DEGREES:  Set this keyword to express all measurements and
-;		  results in degrees.
+; @keyword    DEGREES  Set this keyword to express all measurements and
+;  results in degrees.
 ;
-; OUTPUTS:
-;	This function returns a (2, n) array containing the 
+; @returns
+; a (2, n) array containing the 
 ;       longitude / latitude of the resultings points. Values are in radians
 ;       unless the keyword DEGREES is set.
 ;
-; PROCEDURE:
-;	Formula from Map Projections - a working manual.  USGS paper
-;	1395.  Equations (5-5) and (5-6).
+; @file_comments
+;Formula from Map Projections - a working manual.  USGS paper
+;1395.  Equations (5-5) and (5-6).
 ;
-; EXAMPLE:
-;	Lon_lat0 = [1.0, 2.0]		; Initial point specified in radians	
-;	Arc_Dist = 2.0			; Arc distance in radians
-;	Az = 1.0			; Azimuth in radians
-;	Result = LL_ARC_DISTANCE(Lon_lat0, Arc_Dist, Az)
-;	PRINT, Result
-;     	  2.91415    -0.622234
+; @examples 
+;Lon_lat0 = [1.0, 2.0]; Initial point specified in radians
+;Arc_Dist = 2.0; Arc distance in radians
+;Az = 1.0; Azimuth in radians
+;Result = LL_ARC_DISTANCE(Lon_lat0, Arc_Dist, Az)
+;PRINT, Result
+;       2.91415    -0.622234
 ;
-;	IDL> lon0 = [-10, 20, 100]
-;	IDL> lat0 = [0, -10, 45]
-;	IDL> lon1 = [10, 60, 280]
-;	IDL> lat1 = [0, 10, 45]
-;	IDL> dist = map_npoints(lon0, lat0, lon1, lat1, azimuth = azi, /two_by_two)
-;	IDL> earthradius = 6378206.4d0
-;	IDL> res = ll_narcs_distances(lon0, lat0, dist/earthradius, azi, /degrees)
-;	IDL> print, reform(res[0, *])
-;	       10.000000       60.000000       280.00000
-;	IDL> print, reform(res[1, *])
+;IDL> lon0 = [-10, 20, 100]
+;IDL> lat0 = [0, -10, 45]
+;IDL> lon1 = [10, 60, 280]
+;IDL> lat1 = [0, 10, 45]
+;IDL> dist = map_npoints(lon0, lat0, lon1, lat1, azimuth = azi, /two_by_two)
+;IDL> earthradius = 6378206.4d0
+;IDL> res = ll_narcs_distances(lon0, lat0, dist/earthradius, azi, /degrees)
+;IDL> print, reform(res[0, *])
+;       10.000000       60.000000       280.00000
+;IDL> print, reform(res[1, *])
 ;          1.1999280e-15       10.000000       45.000000
 ;
-; MODIFICATION HISTORY:
+; @history
 ;       Based on the IDL function ll_arc_distance.pro,v 1.11 2003/02/03
-; 	Sebastien Masson (smasson@lodyc.jussieu.fr)
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                  August 2005
 ;-
 
-; Return the [lon, lat] of the point a given arc distance 
-;	(-pi <= arc_dist <= pi),
+;+
+; @file_comments Return the [lon, lat] of the point a given arc distance 
+;(-pi <= arc_dist <= pi),
 ; and azimuth (az), from lon_lat0.
+;-
 ;
 FUNCTION LL_NARCS_DISTANCES, lon0, lat0, arc_dist, az, DEGREES = degs
